• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other Pie Elite all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Tim Cooke
  • Campbell Ritchie
  • Ron McLeod
  • Junilu Lacar
  • Liutauras Vilda
Sheriffs:
  • Paul Clapham
  • Jeanne Boyarsky
  • Henry Wong
Saloon Keepers:
  • Tim Moores
  • Tim Holloway
  • Stephan van Hulst
  • Piet Souris
  • Carey Brown
Bartenders:
  • Jesse Duncan
  • Frits Walraven
  • Mikalai Zaikin

Deployment Issues with JSF 1.2.9, Tomcat 6.0.29 and MyEclipse 8.6

 
Greenhorn
Posts: 18
Tomcat Server Java Google App Engine
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Hi Guys,

I am trying to build a Tomcat application with the following environment:

JSF: 1.2.9

Rich Faces: 3.2.2

IDE: My Eclipse 8.6

Application Server: Tomcat 6.0.29


I am not facing any compilation error in MyEclipse.

But when I start Tomcat(configured in MyEclipse), it gave me following errors:





*****************************************************************************************************************
*********************** web.xml ***********************************************
*****************************************************************************************************************


Please find the list of Application JAR(s) and tomcat lib(s) in the attachment.

Please provide me THE BEST solutions. I am struggling with this from the last 2 days.
jars.JPG
[Thumbnail for jars.JPG]
my application jars
tomcat_jars.JPG
[Thumbnail for tomcat_jars.JPG]
tomcat libs
 
Ranch Hand
Posts: 172
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
I think you might be missing jars in your tomcat. Do you have javaee.jar, servlet-api.jar? the error message says you are missing ServletRequestListener class.
 
Don't get me started about those stupid light bulbs.
reply
    Bookmark Topic Watch Topic
  • New Topic